Subject: [Mgs] Brass brake line splitter/switch assembly MGB/C, Spridget on eBay

From: "Norm" <[email-masked]>
Date: Tue, 3 Jun 2014 10:14:05 -0400

I posted about this switch on the Digest recently.  It's now on eBay if
anyone is interested.   Item # 281352004142.
 
Also on eBay is my lightly used head and neck restraint - a Leatt Brace.
Item # 281352067514  After examining all restraints available, I chose the
Leatt for max safety.  Unfortunately, Leatt didn't play politics and others
have been "mandated" in certain race orgs.  But, if you race where you have
an option, this is a really good device - 360-degrees of protection.  And,
virtually no chance your shoulder straps will slip off to the side.  Look at
the pictures & you'll see why..
 
Norm
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]